Name: libconfig
Version: 0.9
Release: alt0.1

Summary: C/C++ Configuration File Library

License: LGPL
Group: System/Libraries
Url: http://www.hyperrealm.com/main.php?s=libconfig

Packager: Vitaly Lipatov <lav@altlinux.ru>

Source: http://www.hyperrealm.com/libconfig/%name-%version.tar.bz2


# Automatically added by buildreq on Fri Aug 04 2006
BuildRequires: flex gcc-c++

%description
Libconfig is a simple library for manipulating structured configuration
files, like this one: test.cfg. This file format is more compact and
more readable than XML. And unlike XML, it is type-aware, so it is not

necessary to do string parsing in application code.
Libconfig is very compact ? just 25K for the stripped C shared library (5
times smaller than the expat XML parser library) and 39K for the stripped
C++ shared library. This makes it well-suited for memory-constrained
systems like handheld devices.

The library includes bindings for both the C and C++ languages. It works
on POSIX-compliant UNIX systems (GNU/Linux, Mac OS X, Solaris, FreeBSD)
and Windows (2000, XP and later).

%package devel
Summary: Header files for %name
Group: Development/Other
Requires: %name = %version-%release

%description devel
Header files for %name library.

%prep
%setup -q
%__subst "s|^stub.*||g" Makefile.am
%__subst "s|^bin_PR.*||g" Makefile.am

%build
%__autoreconf
%configure --disable-static
%make_build

%install
%make_install install DESTDIR=%buildroot

%post -p %post_ldconfig
%postun -p %post_ldconfig

%files
%doc AUTHORS README NEWS
%_libdir/lib*.so.*

%files devel
%doc samples/
%_libdir/lib*.so
%_includedir/*
%_pkgconfigdir/*.pc
%_infodir/*.info*

%changelog
* Fri Aug 04 2006 Vitaly Lipatov <lav@altlinux.ru> 0.9-alt0.1
- initial build for ALT Linux Sisyphus
